package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.Testgit;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.TestgitMapper")
public interface TestgitMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(Testgit record);

    Testgit selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(Testgit record);

    List<Testgit> queryAllTestgit(Testgit record);

    List<Testgit> queryTestgitByPage(Map<String, Object> parameter);

    int delete(String id);

    Testgit queryTestgit(Testgit record);

    List<Testgit> query(Testgit record);
}

